KRA PIN Verification
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/kra_pin/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"pin": "A000000000Z"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/kra_pin/"
payload = { "pin": "A000000000Z" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({pin: 'A000000000Z'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/kra_pin/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Kenya
PIN KRA
Vérifiez le PIN de l’Kenya Revenue Authority d’un client et récupérez ses détails de contribuable.
POST
/
api
/
onboarding
/
kenya_kyc
/
kra_pin
/
KRA PIN Verification
L’endpoint PIN KRA valide un numéro d’identification personnel de la Kenya Revenue Authority (KRA) et renvoie les détails du contribuable associés incluant le nom, le statut du PIN, le statut iTax et les informations d’obligation fiscale.
Endpoint
POST /api/onboarding/kenya_kyc/kra_pin/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
pin | string | Oui | Le PIN KRA du client (par ex. A123456789B) |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/kra_pin/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"pin": "A123456789B"}'
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.pin | string | PIN KRA |
data.taxpayer_name | string | Nom du contribuable enregistré |
data.pin_status | string | Statut du PIN (par ex. "Active") |
data.itax_status | string | Statut du système iTax |
data.obligation_details | string | Description de l’obligation fiscale et date d’enregistrement |
{
"status": "success",
"data": {
"pin": "A123456789B",
"taxpayer_name": "ABB APP Limited",
"pin_status": "Active",
"itax_status": "iPage Updated",
"obligation_details": "Income Tax - Company Registered 29/01/2013"
},
"message": "Pin details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "PIN is required"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

